For the complete documentation index, see llms.txt. This page is also available as Markdown.

RPS Settings

Get RPS terminal settings

get

Retrieve the RPS configuration for a terminal, including whether recurring payments are enabled.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
200

ok

Contains the response data for the terminal's RPS configuration.

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: rps-settings
get/rest/v2/settings/terminal/rps
GET /rest/v2/settings/terminal/rps HTTP/1.1
api-key: text
Accept: */*
{
  "rps-settings": {
    "enabled": true
  },
  "payloadType": "rps-settings"
}

Create RPS terminal settings

post

Create the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains Recurring Payment Service configuration for the terminal.

enabledboolean · enumOptional

Indicates whether the Recurring Payment Service (RPS) is enabled for the terminal.

Example: truePossible values:
Responses
200

ok

Contains the response data for the terminal's RPS configuration.

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: rps-settings
post/rest/v2/settings/terminal/rps
POST /rest/v2/settings/terminal/rps HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "enabled": true
}
{
  "rps-settings": {
    "enabled": true
  },
  "payloadType": "rps-settings"
}

Update RPS terminal settings

put

Update the Recurring Payment Service (RPS) configuration for a terminal by enabling or disabling recurring payments.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains Recurring Payment Service configuration for the terminal.

enabledboolean · enumOptional

Indicates whether the Recurring Payment Service (RPS) is enabled for the terminal.

Example: truePossible values:
Responses
200

ok

Contains the response data for the terminal's RPS configuration.

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: rps-settings
put/rest/v2/settings/terminal/rps
PUT /rest/v2/settings/terminal/rps HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "enabled": true
}
{
  "rps-settings": {
    "enabled": true
  },
  "payloadType": "rps-settings"
}

Last updated

Was this helpful?